org.keycloak.dom.saml.v2.ac.classes

## Class OriginalAuthenticatorTransportProtocolType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.classes.ExtensionListType
  - - org.keycloak.dom.saml.v2.ac.classes.OriginalAuthenticatorTransportProtocolType

- Direct Known Subclasses:
    AuthenticatorTransportProtocolType

      public class OriginalAuthenticatorTransportProtocolType
      extends ExtensionListType

  Java class for AuthenticatorTransportProtocolType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AuthenticatorTransportProtocolType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice minOccurs="0">
                 <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}HTTP"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}SSL"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}MobileNetworkNoEncryption"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}MobileNetworkRadioEncryption"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}MobileNetworkEndToEndEncryption"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}WTLS"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}IPSec"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}PSTN"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}ISDN"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}ADSL"/>
               </choice>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}Extension"
       maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ExtensionOnlyType` | `adsl`
    `protected ExtensionOnlyType` | `http`
    `protected ExtensionOnlyType` | `ipSec`
    `protected ExtensionOnlyType` | `isdn`
    `protected ExtensionOnlyType` | `mobileNetworkEndToEndEncryption`
    `protected ExtensionOnlyType` | `mobileNetworkNoEncryption`
    `protected ExtensionOnlyType` | `mobileNetworkRadioEncryption`
    `protected ExtensionOnlyType` | `pstn`
    `protected ExtensionOnlyType` | `ssl`
    `protected ExtensionOnlyType` | `wtls`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.ac.classes.ExtensionListType

      `content`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OriginalAuthenticatorTransportProtocolType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtensionOnlyType` | `getADSL()` Gets the value of the adsl property.
    `ExtensionOnlyType` | `getHTTP()` Gets the value of the http property.
    `ExtensionOnlyType` | `getIPSec()` Gets the value of the ipSec property.
    `ExtensionOnlyType` | `getISDN()` Gets the value of the isdn property.
    `ExtensionOnlyType` | `getMobileNetworkEndToEndEncryption()` Gets the value of the mobileNetworkEndToEndEncryption property.
    `ExtensionOnlyType` | `getMobileNetworkNoEncryption()` Gets the value of the mobileNetworkNoEncryption property.
    `ExtensionOnlyType` | `getMobileNetworkRadioEncryption()` Gets the value of the mobileNetworkRadioEncryption property.
    `ExtensionOnlyType` | `getPSTN()` Gets the value of the pstn property.
    `ExtensionOnlyType` | `getSSL()` Gets the value of the ssl property.
    `ExtensionOnlyType` | `getWTLS()` Gets the value of the wtls property.
    `void` | `setADSL(ExtensionOnlyType value)` Sets the value of the adsl property.
    `void` | `setHTTP(ExtensionOnlyType value)` Sets the value of the http property.
    `void` | `setIPSec(ExtensionOnlyType value)` Sets the value of the ipSec property.
    `void` | `setISDN(ExtensionOnlyType value)` Sets the value of the isdn property.
    `void` | `setMobileNetworkEndToEndEncryption(ExtensionOnlyType value)` Sets the value of the mobileNetworkEndToEndEncryption property.
    `void` | `setMobileNetworkNoEncryption(ExtensionOnlyType value)` Sets the value of the mobileNetworkNoEncryption property.
    `void` | `setMobileNetworkRadioEncryption(ExtensionOnlyType value)` Sets the value of the mobileNetworkRadioEncryption property.
    `void` | `setPSTN(ExtensionOnlyType value)` Sets the value of the pstn property.
    `void` | `setSSL(ExtensionOnlyType value)` Sets the value of the ssl property.
    `void` | `setWTLS(ExtensionOnlyType value)` Sets the value of the wtls property.

    - ### Methods inherited from class org.keycloak.dom.saml.v2.ac.classes.ExtensionListType

      `add, getContent, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### http

          protected ExtensionOnlyType http

    - #### ssl

          protected ExtensionOnlyType ssl

    - #### mobileNetworkNoEncryption

          protected ExtensionOnlyType mobileNetworkNoEncryption

    - #### mobileNetworkRadioEncryption

          protected ExtensionOnlyType mobileNetworkRadioEncryption

    - #### mobileNetworkEndToEndEncryption

          protected ExtensionOnlyType mobileNetworkEndToEndEncryption

    - #### wtls

          protected ExtensionOnlyType wtls

    - #### ipSec

          protected ExtensionOnlyType ipSec

    - #### pstn

          protected ExtensionOnlyType pstn

    - #### isdn

          protected ExtensionOnlyType isdn

    - #### adsl

          protected ExtensionOnlyType adsl

  - ### Constructor Detail

    - #### OriginalAuthenticatorTransportProtocolType

          public OriginalAuthenticatorTransportProtocolType()

  - ### Method Detail

    - #### getHTTP

          public ExtensionOnlyType getHTTP()

      Gets the value of the http property.
      Returns:
        possible object is `ExtensionOnlyType`

    - #### setHTTP

          public void setHTTP(ExtensionOnlyType value)

      Sets the value of the http property.
      Parameters:
        `value` - allowed object is `ExtensionOnlyType`

    - #### getSSL

          public ExtensionOnlyType getSSL()

      Gets the value of the ssl property.
      Returns:
        possible object is `ExtensionOnlyType`

    - #### setSSL

          public void setSSL(ExtensionOnlyType value)

      Sets the value of the ssl property.
      Parameters:
        `value` - allowed object is `ExtensionOnlyType`

    - #### getMobileNetworkNoEncryption

          public ExtensionOnlyType getMobileNetworkNoEncryption()

      Gets the value of the mobileNetworkNoEncryption property.
      Returns:
        possible object is `ExtensionOnlyType`

    - #### setMobileNetworkNoEncryption

          public void setMobileNetworkNoEncryption(ExtensionOnlyType value)

      Sets the value of the mobileNetworkNoEncryption property.
      Parameters:
        `value` - allowed object is `ExtensionOnlyType`

    - #### getMobileNetworkRadioEncryption

          public ExtensionOnlyType getMobileNetworkRadioEncryption()

      Gets the value of the mobileNetworkRadioEncryption property.
      Returns:
        possible object is `ExtensionOnlyType`

    - #### setMobileNetworkRadioEncryption

          public void setMobileNetworkRadioEncryption(ExtensionOnlyType value)

      Sets the value of the mobileNetworkRadioEncryption property.
      Parameters:
        `value` - allowed object is `ExtensionOnlyType`

    - #### getMobileNetworkEndToEndEncryption

          public ExtensionOnlyType getMobileNetworkEndToEndEncryption()

      Gets the value of the mobileNetworkEndToEndEncryption property.
      Returns:
        possible object is `ExtensionOnlyType`

    - #### setMobileNetworkEndToEndEncryption

          public void setMobileNetworkEndToEndEncryption(ExtensionOnlyType value)

      Sets the value of the mobileNetworkEndToEndEncryption property.
      Parameters:
        `value` - allowed object is `ExtensionOnlyType`

    - #### getWTLS

          public ExtensionOnlyType getWTLS()

      Gets the value of the wtls property.
      Returns:
        possible object is `ExtensionOnlyType`

    - #### setWTLS

          public void setWTLS(ExtensionOnlyType value)

      Sets the value of the wtls property.
      Parameters:
        `value` - allowed object is `ExtensionOnlyType`

    - #### getIPSec

          public ExtensionOnlyType getIPSec()

      Gets the value of the ipSec property.
      Returns:
        possible object is `ExtensionOnlyType`

    - #### setIPSec

          public void setIPSec(ExtensionOnlyType value)

      Sets the value of the ipSec property.
      Parameters:
        `value` - allowed object is `ExtensionOnlyType`

    - #### getPSTN

          public ExtensionOnlyType getPSTN()

      Gets the value of the pstn property.
      Returns:
        possible object is `ExtensionOnlyType`

    - #### setPSTN

          public void setPSTN(ExtensionOnlyType value)

      Sets the value of the pstn property.
      Parameters:
        `value` - allowed object is `ExtensionOnlyType`

    - #### getISDN

          public ExtensionOnlyType getISDN()

      Gets the value of the isdn property.
      Returns:
        possible object is `ExtensionOnlyType`

    - #### setISDN

          public void setISDN(ExtensionOnlyType value)

      Sets the value of the isdn property.
      Parameters:
        `value` - allowed object is `ExtensionOnlyType`

    - #### getADSL

          public ExtensionOnlyType getADSL()

      Gets the value of the adsl property.
      Returns:
        possible object is `ExtensionOnlyType`

    - #### setADSL

          public void setADSL(ExtensionOnlyType value)

      Sets the value of the adsl property.
      Parameters:
        `value` - allowed object is `ExtensionOnlyType`

Copyright © 2020 JBoss by Red Hat. All rights reserved.